List Conversation Messages
curl --request GET \
--url https://api.example.com/api/v1/conversations/{conversation_id}/messagesimport requests
url = "https://api.example.com/api/v1/conversations/{conversation_id}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "<string>",
"content": "<string>",
"status": "<string>",
"message_type": "<string>",
"phone_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"media_type": "<string>",
"media_url": "<string>",
"media_filename": "<string>",
"media_mimetype": "<string>",
"whatsapp_message_id": "<string>",
"payload": {},
"sender_name": "<string>",
"chat_type": "individual",
"group_jid": "<string>",
"group_name": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_whatsapp_id": "<string>",
"quote_preview": "<string>",
"quote_message_type": "<string>",
"quote_sender_label": "<string>",
"starred_at": "2023-11-07T05:31:56Z",
"reactions": {},
"deleted_at": "2023-11-07T05:31:56Z",
"edited_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"limit": 123,
"next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}conversations
List Conversation Messages
GET
/
api
/
v1
/
conversations
/
{conversation_id}
/
messages
List Conversation Messages
curl --request GET \
--url https://api.example.com/api/v1/conversations/{conversation_id}/messagesimport requests
url = "https://api.example.com/api/v1/conversations/{conversation_id}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "<string>",
"content": "<string>",
"status": "<string>",
"message_type": "<string>",
"phone_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"media_type": "<string>",
"media_url": "<string>",
"media_filename": "<string>",
"media_mimetype": "<string>",
"whatsapp_message_id": "<string>",
"payload": {},
"sender_name": "<string>",
"chat_type": "individual",
"group_jid": "<string>",
"group_name": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_whatsapp_id": "<string>",
"quote_preview": "<string>",
"quote_message_type": "<string>",
"quote_sender_label": "<string>",
"starred_at": "2023-11-07T05:31:56Z",
"reactions": {},
"deleted_at": "2023-11-07T05:31:56Z",
"edited_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"limit": 123,
"next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Pattern:
^(older|newer)$